﻿<%@ Page EnableEventValidation="false" Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/ContentPage.Master" CodeBehind="Postage.aspx.vb" Inherits="PostageWizard.Postage" %>

<%@ Register Assembly="MyWebControls" Namespace="HexNiche.Web" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>模板设定      
    </h2>
    <div style="height: 10px"></div>
    <div class="color1">
        <b class="c1"></b>
        <b class="c2"></b>
        <div class="caption">邮费模板设定</div>
        <div class="content">
            <div>如果订单符合多个邮费模板，邮费最便宜的那个模板会被使用。如果订单的邮寄地区同时出现在不同模板的免邮和不免邮的地区设定里，那么不免邮地区将有较高的有先权，此订单件将不参加免邮活动。</div>
                <asp:DataList ID="dlCampaign" runat="server" Width="100%">
                    <ItemTemplate>
                        <div style="width: 100%"><hr /></div>
                        <div style="overflow:hidden;">
                            <div style="width: 80px; float: left;">模板名称：</div>
                            <div style="float: left; width: 20px;"><a href="javascript:void(0);" onClick="EditCampaignName('<%# Eval("CampaignGuid") %>');"><img src="images/edit_16x16.png" alt="点击修改" border="0" /></a></div>
                            <div style="float: left;">
                                <asp:UpdatePanel ID="UpdatePanel3" runat="server" UpdateMode="Conditional" ChildrenAsTriggers="True">
                                    <ContentTemplate>
                                        <div id="lblCampaignName_<%# Eval("CampaignGuid") %>">
                                            <asp:Label ID="lblCampaignName" runat="server" Text='<%# Eval("CampaignName") %>'></asp:Label>（<asp:Label ID="lblCampaignDesc" runat="server" Text='<%# Eval("Description")%>'></asp:Label>）
                                        </div>
                                        <div id="pnlCampaignName_<%# Eval("CampaignGuid") %>" style="display: none">
                                            <div style="float: left; border :1px solid Silver; width: 350px;">
                                                <div style="margin: 5px; overflow:hidden;">
                                                    <div style="width: 60px; float: left;">名称：</div>
                                                    <div style="width: 60px; float: left;"><asp:TextBox ID="txtCampaignName" runat="server"></asp:TextBox></div>
                                                </div>
                                                <div style="margin: 5px; overflow:hidden">
                                                    <div style="width: 60px; float: left;">描述：</div>
                                                    <div style="width: 60px; float: left;"><asp:TextBox ID="txtCampaignDesc" runat="server" Rows="5" Width="250px" TextMode="MultiLine"></asp:TextBox></div>
                                                </div>
                                            </div>
                                            <div style="float: right; padding-left: 5px;">
                                                <asp:Button ID="btnSaveCampaignName" runat="server" Text="保存" CommandName="SaveCampaignName" CommandArgument='<%# Eval("CampaignGuid") %>' /> <input type="button" value="取消" onClick="HideCampaignName('<%# Eval("CampaignGuid") %>');" />
                                            </div>
                                        </div>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="btnSaveCampaignName" EventName="Click" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                <asp:UpdateProgress ID="UpdateProgress3" runat="server" AssociatedUpdatePanelID="UpdatePanel3">
                                    <ProgressTemplate>
                                        <asp:Label ID="lblPrgSaveCampaignName" runat="server" Text="正在保存设定，请稍等..." Font-Bold="True" ForeColor="Red"></asp:Label>
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </div>
                        </div>
                        <div style="overflow:hidden;">
                            <div style="float: left; width: 80px;">使用条件：</div>
                            <div style="float: left; width: 20px;"></div>
                            <div style="float: left; "><asp:Label ID="lblCondition" runat="server" Text="使用条件"></asp:Label></div>
                        </div>
                        <div style="overflow:hidden;">
                            <div style="float: left; width: 80px;">重复方式：</div>
                            <div style="float: left; width: 20px;"><a href="javascript:void(0);" onClick="LoadRepeat('<%# Eval("CampaignGuid") %>', 'true');"><img src="images/edit_16x16.png" alt="点击修改" border="0" /></a></div>
                            <div style="float: left; ">
                                <asp:UpdatePanel ID="UpdatePanel4" runat="server" UpdateMode="Conditional" ChildrenAsTriggers="True">
                                    <ContentTemplate>                                
                                        <div id="lblRepeat_<%# Eval("CampaignGuid") %>">
                                            <asp:Label ID="lblRepeat" runat="server" Text='重复方式'></asp:Label>
                                        </div>
                                        <div id="pnlRepeat_<%# Eval("CampaignGuid") %>" style="width:350px; display: none">
                                            <div id="frmRepeat_<%# Eval("CampaignGuid") %>" style="width:220px; background-color:#f5f5f5; border :1px solid Silver; float: left; padding-left: 5px;" ></div>
                                            <div style="float: right; padding-left: 5px;">
                                                <asp:Button ID="btnSaveRepeat" runat="server" Text="保存" CommandName="SaveRepeat" CommandArgument='<%# Eval("CampaignGuid") %>' /> <input type="button" value="取消" onClick="HideRepeat('<%# Eval("CampaignGuid") %>', 'true');" />
                                            </div>
                                        </div>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="btnSaveRepeat" EventName="Click" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                <asp:UpdateProgress ID="UpdateProgress4" runat="server" AssociatedUpdatePanelID="UpdatePanel4">
                                    <ProgressTemplate>
                                        <asp:Label ID="Label1" runat="server" Text="正在保存设定，请稍等..." Font-Bold="True" ForeColor="Red"></asp:Label>
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </div>
                        </div>
                        <div style="overflow:hidden;">
                            <div style="float: left; width: 80px;">适用地区：</div>
                            <div style="float: left; width: 20px;"><a href="javascript:void(0);" onClick="LoadPostArea('<%# Eval("CampaignGuid") %>', 'true');"><img src="images/edit_16x16.png" alt="点击修改" border="0" /></a></div>
                            <div style="float: left; ">
                                <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional" ChildrenAsTriggers="True">
                                    <ContentTemplate>                                
                                        <div id="lblAcceptArea_<%# Eval("CampaignGuid") %>">
                                            <asp:Label ID="lblAcceptArea" runat="server" Text="适用地区"></asp:Label>
                                        </div>
                                        <div id="pnlAcceptArea_<%# Eval("CampaignGuid") %>" style="width:320px; display: none">
                                            <div id="treeAcceptArea_<%# Eval("CampaignGuid") %>" style="width:200px; background-color:#f5f5f5;border :1px solid Silver; float: left;" ></div>
                                            <div style="float: right; padding-left: 5px;">
                                                <asp:Button ID="btnSaveAcceptArea" runat="server" Text="保存" CommandName="SaveAcceptArea" CommandArgument='<%# Eval("CampaignGuid") %>' /> <input type="button" value="取消" onClick="HideTree('<%# Eval("CampaignGuid") %>', 'true');" />
                                            </div>
                                        </div>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="btnSaveAcceptArea" EventName="Click" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
                                    <ProgressTemplate>
                                        <asp:Label ID="Label10" runat="server" Text="正在保存设定，请稍等..." Font-Bold="True" ForeColor="Red"></asp:Label>
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </div>
                        </div>
                        <div style="overflow:hidden;">
                            <div style="float: left; width: 80px;">不适用地区：</div>
                            <div style="float: left; width: 20px;"><a href="javascript:void(0);" onClick="LoadPostArea('<%# Eval("CampaignGuid") %>', 'false');"><img src="images/edit_16x16.png" alt="点击修改" border="0" /></a></div>
                            <div style="float: left; ">
                                <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional" ChildrenAsTriggers="True">
                                    <ContentTemplate>
                                        <div id="lblDenyArea_<%# Eval("CampaignGuid") %>">
                                            <asp:Label ID="lblDenyArea" runat="server" Text="不适用地区"></asp:Label>
                                        </div>
                                        <div id="pnlDenyArea_<%# Eval("CampaignGuid") %>" style="width:320px; display: none">
                                            <div id="treeDenyArea_<%# Eval("CampaignGuid") %>" style="width:200px; background-color:#f5f5f5;border :1px solid Silver; float: left;" ></div>
                                            <div style="float: right; padding-left: 5px;">
                                                <asp:Button ID="btnSaveDenyArea" runat="server" Text="保存" CommandName="SaveDenyArea" CommandArgument='<%# Eval("CampaignGuid") %>' /> <input type="button" value="取消" onClick="HideTree('<%# Eval("CampaignGuid") %>', 'false');" />
                                            </div>
                                        </div>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="btnSaveDenyArea" EventName="Click" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                <asp:UpdateProgress ID="UpdateProgress2" runat="server" AssociatedUpdatePanelID="UpdatePanel2">
                                    <ProgressTemplate>
                                        <asp:Label ID="Label11" runat="server" Text="正在保存设定，请稍等..." Font-Bold="True" ForeColor="Red"></asp:Label>
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </div>
                        </div>
                        <asp:HiddenField ID="hdnCampaignGuid" runat="server" Value='<%# Eval("CampaignGuid") %>' />
                        <%--<asp:HiddenField ID="hdnDenyAreaGuid" runat="server" Value='<%# Eval("CampaignGuid") %>' />
                        <asp:HiddenField ID="hdnAcceptAreaGuid" runat="server" Value='<%# Eval("CampaignGuid") %>' />--%>
                    </ItemTemplate>
                     
                </asp:DataList>
           
        </div>
        <b class="c3"></b>
        <b class="c4"></b>
        <cc1:HiddenFieldWithClass ID="SubmittedPostArea" runat="server" CssClass="SubmittedPostArea" Value="" />
    </div>

    <script type="text/javascript" charset="utf-8">
        function LoadPostArea(guid,accept) {
            var objPanel, idPanel;
            var objLabel, idlabel;
            var objTree, idTree;
            var divs;
            var lblArea, pnlArea, treeArea;


            if (accept == 'true') {
                lblArea = 'lblAcceptArea_';
                pnlArea = 'pnlAcceptArea_';
                treeArea = 'treeAcceptArea_';
            }
            else {
                lblArea = 'lblDenyArea_';
                pnlArea = 'pnlDenyArea_';
                treeArea = 'treeDenyArea_';
            };

            var pnlPatt = /pnl(Accept|Deny)Area_/g;
            var lblPatt = /lbl(Accept|Deny)Area_/g; 

            divs = document.getElementsByTagName('div');
            for (var i = 0; i < divs.length; i++) {
                var div = divs[i];
                if (pnlPatt.test(div.id) == true) {
                    if (div.id.indexOf(guid) == -1) {
                        div.style.display = "none";
                    }
                    else if (accept == 'false' && div.id.indexOf('AcceptArea') > -1) {
                        div.style.display = "none";
                    }
                    else if (accept == 'true' && div.id.indexOf('DenyArea') > -1) {
                        div.style.display = "none";
                    }
                }
                else if (lblPatt.test(div.id) == true) {
                    if (div.id.indexOf(guid) == -1) {
                        div.style.display = "inherit";
                    }
                    else if (accept == 'false' && div.id.indexOf('AcceptArea') > -1) {
                        div.style.display = "inherit";
                    }
                    else if (accept == 'true' && div.id.indexOf('DenyArea') > -1) {
                        div.style.display = "inherit";
                    }
                }
            }
 
            idPanel = pnlArea + guid;
            objPanel = document.getElementById(idPanel);

            idTree = treeArea + guid;
            objTree = document.getElementById(idTree);
            objTree.innerHTML = "";
            
            idLabel = lblArea + guid;
            objLabel = document.getElementById(idLabel);

            HidePanel(objPanel, objLabel);
                        
            tree = new dhtmlXTreeObject(idTree, "200px", "100%", 0);
            tree.setSkin('dhx_skyblue');
            tree.setImagePath("dhtmlx/imgs/csh_bluebooks/");
            tree.enableCheckBoxes(true);
            tree.enableThreeStateCheckboxes(true);
            tree.loadXML('FetchPostArea.ashx?guid=' + guid + '&accept=' + accept, ShowPanel(objPanel, objLabel));
        };

        function ShowPanel(objPanel, objLabel) {
            objPanel.style.display = 'inherit';
            objLabel.style.display = 'none';
        };

        function HidePanel(objPanel, objLabel) {
            objPanel.style.display = 'none';
            objLabel.style.display = 'inherit';
        };

        function HideTree(guid, accept) {
            var objPanel, idPanel;
            var objLabel, idlabel;
            var lblArea, pnlArea;

            if (accept == 'true') {
                lblArea = 'lblAcceptArea_';
                pnlArea = 'pnlAcceptArea_';
            }
            else {
                lblArea = 'lblDenyArea_';
                pnlArea = 'pnlDenyArea_';
            };

            idPanel = pnlArea + guid;
            objPanel = document.getElementById(idPanel);

            idLabel = lblArea + guid;
            objLabel = document.getElementById(idLabel);

            HidePanel(objPanel,objLabel);
        };

        function SubmitPostArea(guid, accept) {
            var objPanel, idPanel;
            var params = 'guid=' + guid + '&accept=' + accept + '&ids=' + tree.getAllChecked();

            if (accept == 'true') {
                idPanel = 'pnlAcceptArea_' + guid;
            }
            else {
                idPanel = 'pnlDenyArea_' + guid;
            };
            objPanel = document.getElementById(idPanel);
            objPanel.style.display = 'none';
           
            $(".SubmittedPostArea").val(tree.getAllChecked());
            //var loader = dhtmlxAjax.postSync('UpdatePostArea.ashx', params);
            return true;
        }
                    
        function EditCampaignName(guid) {
            var CampaignName, CampaignDesc;
            var lblCampaignName, lblCampaignDesc;
            var objPanel, idPanel;
            var objLabel, idLabel;
            var objForm, idForm;

//            lblCampaignName = $(".jqCampaignName_" + guid)[0];
//            lblCampaignDesc = $(".jqCampaignDesc_" + guid)[0];
//            CampaignName = lblCampaignName.innerHTML;
//            CampaignDesc = lblCampaignDesc.innerHTML;

            var pnlPatt = /pnlCampaignName_/g;
            var lblPatt = /lblCampaignName_/g;
            var divs= document.getElementsByTagName('div');
            for (var i = 0; i < divs.length; i++) {
                var div = divs[i];
                if (pnlPatt.test(div.id) == true) {
                    if (div.id.indexOf(guid) == -1) {
                        div.style.display = "none";
                    }
                } else if (lblPatt.test(div.id) == true) {
                    if (div.id.indexOf(guid) == -1) {
                        div.style.display = "inherit";
                    }
                }
            }

//            var formXMLString = '<items>' + '<item type="settings" position="label-left" labelWidth="60" inputWidth="300"/>'
//                                + '<item type="fieldset" name="data" inputWidth="auto" label="邮费模板">'
//                                + '<item type="input" value="' + CampaignName + '" label="模板名称"/>'
//                                + '<item type="input" rows="5" value="' + CampaignDesc + '" label="模板描述"/>'
//                                + '</item>'
//                                + '</items>';

            idPanel = "pnlCampaignName_" + guid;
            objPanel = document.getElementById(idPanel);
            idLabel= "lblCampaignName_" + guid;
            objLabel= document.getElementById(idLabel);
//            idForm = "formCampaignName_" + guid;
//            objForm= document.getElementById(idForm);
//            objForm.innerHTML="";

//            myForm = new dhtmlXForm("formCampaignName_" + guid);
//            myForm.loadStructString(formXMLString);

            ShowPanel(objPanel, objLabel);
        }

        function HideCampaignName(guid) {
            var objPanel, idPanel;
            var objLabel, idlabel;

            idPanel = "pnlCampaignName_" + guid;
            objPanel = document.getElementById(idPanel);

            idLabel = "lblCampaignName_" + guid;
            objLabel = document.getElementById(idLabel);

            HidePanel(objPanel, objLabel);
        }

        function OnSaveCampaignName(guid) {
            var objPanel, idPanel;

            idPanel = "pnlCampaignName_" + guid;
            objPanel = document.getElementById(idPanel);
            objPanel.style.display = 'none';

            $(".CampaignGuid").val(guid);

            return true;
        }

        function LoadRepeat(guid) {
            var idForm, objForm;
            var pnlPatt = /pnlRepeat_/g;
            var lblPatt = /lblRepeat_/g;
            var divs = document.getElementsByTagName('div');
            for (var i = 0; i < divs.length; i++) {
                var div = divs[i];
                if (pnlPatt.test(div.id) == true) {
                    if (div.id.indexOf(guid) == -1) {
                        div.style.display = "none";
                    }
                } else if (lblPatt.test(div.id) == true) {
                    if (div.id.indexOf(guid) == -1) {
                        div.style.display = "inherit";
                    }
                }
            }

            idPanel = "pnlRepeat_" + guid;
            objPanel = document.getElementById(idPanel);
            idLabel = "lblRepeat_" + guid;
            objLabel = document.getElementById(idLabel);

            HidePanel(objPanel, objLabel);

            idForm = "frmRepeat_" + guid;
            objForm = document.getElementById(idForm);
            objForm.innerHTML = "";
            frmRepeat = new dhtmlXForm(idForm);
            frmRepeat.loadStruct('FetchRepeat.ashx?guid=' + guid, ShowFormRepeat(objPanel, objLabel));

            frmRepeat.attachEvent("onChange", frmRepeatOnChange);
        }

        function ShowFormRepeat(objPanel, objLabel) {
            var dhxCalendar = frmRepeat.getCalendar("rBeginDate");
            dhxCalendar.loadUserLanguage("cn");
            ShowPanel(objPanel, objLabel);
        }

        function HideRepeat(guid) {
            var objPanel, idPanel;
            var objLabel, idlabel;

            idPanel = "pnlRepeat_" + guid;
            objPanel = document.getElementById(idPanel);

            idLabel = "lblRepeat_" + guid;
            objLabel = document.getElementById(idLabel);

            HidePanel(objPanel, objLabel);


        }

        function frmRepeatOnChange(id, value) {
            if (id == "rType") {
                switch (value) {
                    case "Daily":
                        frmRepeat.setNumberFormat("rFrequency", " 0 天");
                        frmRepeat.setNumberFormat("rUnit", " 0 天");
                        frmRepeat.showItem("rUnit");
                        break;
                    case "Weekly":
                        frmRepeat.setNumberFormat("rFrequency", " 0 星期");
                        frmRepeat.setNumberFormat("rUnit", " 0 星期");
                        frmRepeat.hideItem("rUnit");
                        break;
                    case "Monthly":
                        frmRepeat.setNumberFormat("rFrequency", " 0 个月");
                        frmRepeat.setNumberFormat("rUnit", " 0 个月");
                        frmRepeat.showItem("rUnit");
                        break;
                    case "Yearly":
                        frmRepeat.setNumberFormat("rFrequency", " 0 年");
                        frmRepeat.setNumberFormat("rYear", " 0 年");
                        frmRepeat.showItem("rUnit");
                        break;
                }

                
            }
        }
    </script>
</asp:Content>

